Name: kaconnect
Version: 1.1.1
Release: alt0.5.1

Summary: A graphical ALSA sequencer connection manager
Group: Sound
License: GPL
Url: http://www.suse.de/~mana/kalsatools.html

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/%name-%version.tar.bz2
#Source1: %name-48x48.xpm
#Source2: %name-32x32.xpm
#Source3: %name-16x16.xpm

# Automatically added by buildreq on Tue Mar 11 2003
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ libXft libalsa2-devel libexpat libjpeg liblcms libmng libqt3-devel libstdc++-devel

%description
Kaconnect displays the readable and writable ports of the ALSA sequencer 
system. Connections between those ports can be subscribed by highlighting one 
port in the list of readable ports and one port in the list of writable ports 
and then mouseclicking on "connect". Disconnecting works the same way, but 
with mouseclick on "disconnect". 

%define qtdir %_libdir/qt3

%prep
%setup -q

%build
%make_build QT_LIB_DIR=-L%qtdir/lib -f make_%name 

%install
%__install -pD %name %buildroot%_bindir/%name

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/Sound" \
title="Kaconnect" longtitle="A graphical ALSA sequencer connection manager" \
command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot/%_menudir/%name

# icons
#%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
#%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
#%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
#%_iconsdir/*.xpm
#%_iconsdir/*/*/*.xpm
%_menudir/%name
%doc README THANKS

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.1.1-alt0.5.1
- Rebuilt with libstdc++.so.6.

* Wed Mar 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt0.5
- First build for Sisyphus.

